# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name Colouring-In-XS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: color or colour.
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LN/LNATION/%{module_name}-%{version}.tar.gz

%description
use Colouring::In::XS;

_my $black = Colouring::In::XS->new('#000000');

_$black->toHEX # #000
_$black->toHEX(1) # #000000
_$black->toRGB # rgb(0,0,0)
_$black->toRGBA # rgba(0,0,0,1)
_$black->toHSL # hsl(0,0%%,0%%)
_$black->toHSV # hsv(0,0%%,0%%)
_$black->toTerm # r0g0b0
_$black->toOnTerm # on_r0g0b0

_my $white = $black->lighten('100%%');
_my $black = $white->darken('100%%');

_my $transparent = $black->fadeout('100%%');
_$black = $transparent->fadein('100%%');

_...

_use Colouring::In::XS qw/lighten darken/;

_my $white = lighten('#000', '100%%');
_my $black = darken('#fff', '100%%');

_my $transparent = fade('#fff', '0%%');
_my $transparent = fadeout('#fff', '100%%');

_my $colour = fadein('rgba(125,125,125,0'), '100%%');

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ignore.txt Changes README
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.06-alt1
- initial import by package builder

